// pages/user/member/bring/msg/msg.js
var t = getApp(),o = t.globalData.setting,os = o;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // timer: '',//定时器名字
    // countDownNum: '3'//倒计时初始值
    iurl: o.imghost,
    is_nd_pw:0
  },

  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

    if(options.is_nd_pw){
      this.data.is_nd_pw=options.is_nd_pw;
    }

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
     getApp().check_can_share();
     wx.setNavigationBarTitle({
        title: "支付成功",
     })

     let th=this;
     //判断密码是不是有开始
     if(this.data.is_nd_pw){
         getApp().request.get("/api/weshop/users/getAndUpdateUser/" + os.stoid + "/" + getApp().globalData.user_id, {
           success: function (src) {
               var a = src.data.data;
               if(!a.vipnopwd) {

                   var my_confirm = th.selectComponent("#my_confirm"); //组件的id
                   my_confirm.open(
                       "是否启用消费时密码验证？",
                       "否",
                       "是",
                       function () {
                           my_confirm.open_cancel(0);
                       },
                       function () {
                           let url = '/packageG/pages/user/userinfo/userinfo?isstcsp=1';
                           wx.redirectTo({url: url,})  //跳到非tabbar页
                       }
                   );
               }

           }
         })
     }



  },


  click:function(){
    wx.redirectTo({
      //url: '../../../integral/jf',
      url:'../../deposit',
    })
  }, 
  homepage:function(){
     getApp().goto('/pages/index/index/index');
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
   onShareAppMessage: function () {   	  getApp().globalData.no_clear=1

  }
})